Skip to main content
POST
/
api
/
v1
/
apps
/
{app_id}
/
builds
/
upload-url
Create Build Upload Url
curl --request POST \
  --url https://backend.revyl.ai/api/v1/apps/{app_id}/builds/upload-url \
  --header 'Authorization: Bearer <token>'
{
  "version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "version": "<string>",
  "upload_url": "<string>",
  "upload_expires_at": 123,
  "content_type": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

app_id
string<uuid>
required

Query Parameters

version
string
required

Version string (must be unique)

file_name
string
required

Name of the file to upload

Response

Successful Response

Response model for creating a build with upload URL.

version_id
string<uuid>
required
version
string
required
upload_url
string
required
upload_expires_at
integer
required
content_type
string
required